<?php
/**
 * @copyright Gmed Srl
 * @author Sciarrone Riccardo <riccardos@gmed.it>
 * 
 * qui viene messa la funzione che calcola
 * l'accession number per questa installazione
 */

function accession_number_calculation($study, $study_db){
    
    foreach($study["Instances"] as $instance){
        // versione Niguarda!!
        
        //print_r($instance);
        
        if($instance["0008-0060"] == "CT"){
            echoo("Trovato questo Acc.Number  CT=>" . $instance["0008-0050"] . "\n");
            WriteLog("Trovato questo Acc.Number  CT=>" . $instance["0008-0050"], process_logfile, "INFO");
            return $instance["0008-0050"];
        }
        
    }    
    
    // non ho trovato NULLA, imposto quello nel DB se c'è
    if( !IsNull($study_db["accession_number"]) ){
        echoo("Mandato  Acc.Number del DB " . $study_db["accession_number"] . "\n");
        WriteLog("Mandato  Acc.Number del DB " . $study_db["accession_number"], process_logfile, "WARNING");
        return $study_db["accession_number"];
    }
    
    // NON C'E' PROPRIO NULLA
    echoo("Mandato  Acc.Number -- \n\n");
    WriteLog("Mandato  Acc.Number -- ", process_logfile, "ERROR");
    return '--';
    
}